<?php
/**
 * Template Name: Local Weather
 */

get_header(); ?>

	<div id="primary" class="site-content">
		<div id="content" role="main">

			<?php while ( have_posts() ) : the_post(); ?>
            <h1 class="entry-title">Code Samples and Results</h1>
				<?php get_template_part( 'content', 'page' ); ?>
                
				<div style="border: 2px solid #555; padding: 10px;">
                <h1 class="entry-title">Local Weather Report and result of above code</h1>
				<?php
                //~ http://api.worldweatheronline.com/free/v1/weather.ashx?key=xxxxxxxxxxxxxxxxx&q=SW1&num_of_days=3&format=xml
                //This cURL example requires php_curl. To verify installion,  phpinfo();
                //Failure to support cURL results in:   PHP Fatal error:  Call to undefined function curl_init() 
                
                //Minimum request
                //Can be city,state,country, zip/postal code, IP address, longtitude/latitude. If long/lat are 2 elements, they will be assembled. IP address is one element.
                $loc_array= Array("New York","ny");		//data validated in foreach. 
                $api_key="w9ve379xdu8etugm7e2ftxd6";		//should be embedded in your code, so no data validation necessary, otherwise if(strlen($api_key)!=24)
                $num_of_days=2;					//data validated in sprintf
                
                $loc_safe=Array();
                foreach($loc_array as $loc){
                    $loc_safe[]= urlencode($loc);
                }
                $loc_string=implode(",", $loc_safe);
                
                //To add more conditions to the query, just lengthen the url string
                $basicurl=sprintf('http://api.worldweatheronline.com/free/v1/weather.ashx?q=London&format=xml&num_of_days=2&key=xkq544hkar4m69qujdgujn7w');
                
               
                
                //Premium API
                $premiumurl=sprintf('http://api.worldweatheronline.com/premium/v1/weather.ashx?q=London&format=xml&num_of_days=2&key=w9ve379xdu8etugm7e2ftxd6');
                
               
                
                $ch = curl_init();
                curl_setopt($ch, CURLOPT_URL, $premiumurl);
                curl_setopt($ch, CURLOPT_HEADER, 0);
                curl_setopt($ch, CURLOPT_RETURNTRANSFER , 1); 
                $xml_response =curl_exec($ch);
                curl_close($ch);
                
                $xml = simplexml_load_string($xml_response);
                printf("<p>Current wind speed is %s mph blowing to %s</p>", 
                $xml->current_condition->windspeedMiles, $xml->current_condition->winddir16Point );
                
                print "<pre>";
                print_r($xml);
				
                print "</pre>";
                ?>               
                </div>
			<?php endwhile; // end of the loop. ?>

		</div><!-- #content -->
	</div><!-- #primary -->

<?php get_sidebar(); ?>
<?php get_footer(); ?>